MagickCore: cache.h File Reference

# cache.h File Reference

`#include "magick/blob.h"`

Go to the source code of this file.

## Functions
MagickExport const PixelPacket * | AcquireCacheNexus (const Image *, const VirtualPixelMethod, const long, const long, const unsigned long, const unsigned long, const unsigned long, ExceptionInfo *)
MagickExport MagickSizeType | GetPixelCacheArea (const Image *)
MagickExport MagickBooleanType | PersistCache (Image *, const char *, const MagickBooleanType, MagickOffsetType *, ExceptionInfo *)
MagickExport MagickBooleanType | SyncCacheNexus (Image *, const unsigned long)
MagickExport PixelPacket * | GetCacheNexus (Image *, const long, const long, const unsigned long, const unsigned long, const unsigned long)
MagickExport PixelPacket ** | SetCacheNexus (Image *, const long, const long, const unsigned long, const unsigned long, const unsigned long)
MagickExport VirtualPixelMethod | GetCacheVirtualPixelMethod (const Image *)
MagickExport VirtualPixelMethod | SetCacheVirtualPixelMethod (const Image *, const VirtualPixelMethod)
MagickExport void | DestroyCacheResources (void)

## Function Documentation

MagickExport const PixelPacket* AcquireCacheNexus | ( | const Image * | ,
|  | const | VirtualPixelMethod,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long,
|  | const unsigned | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void DestroyCacheResources | ( | void |  | ) |

MagickExport PixelPacket* GetCacheNexus | ( | Image * | ,
|  | const | long,
|  | const | long,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport VirtualPixelMethod GetCacheVirtualPixelMethod | ( | const Image * |  | ) |

MagickExport MagickSizeType GetPixelCacheArea | ( | const Image * |  | ) |

MagickExport MagickBooleanType PersistCache | ( | Image * | ,
|  | const char * | ,
|  | const | MagickBooleanType,
|  | MagickOffsetType * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport PixelPacket* * SetCacheNexus | ( | Image * | ,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long,
|  | const unsigned | long |
| ) |  |  |

MagickExport VirtualPixelMethod SetCacheVirtualPixelMethod | ( | const Image * | ,
|  | const | VirtualPixelMethod |
| ) |  |  |

MagickExport MagickBooleanType SyncCacheNexus | ( | Image * | ,
|  | const unsigned | long |
| ) |  |  |